KDE 4.7 PyKDE API Reference

- KDE's Python API

# KGlobalShortcutInfo Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject

## Detailed Description

Author:
  Michael Jansen <kde@michael-jansen.biz>

## Methods
| __init__ (self)
| __init__ (self, KGlobalShortcutInfo rhs)
QString | componentFriendlyName (self)
QString | componentUniqueName (self)
QString | contextFriendlyName (self)
QString | contextUniqueName (self)
[QKeySequence] | defaultKeys (self)
QString | friendlyName (self)
[QKeySequence] | keys (self)
QString | uniqueName (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KGlobalShortcutInfo | rhs
| ) |  |  |

QString componentFriendlyName | ( |  | self ) |

QString componentUniqueName | ( |  | self ) |

QString contextFriendlyName | ( |  | self ) |

QString contextUniqueName | ( |  | self ) |

[QKeySequence] defaultKeys | ( |  | self ) |

QString friendlyName | ( |  | self ) |

[QKeySequence] keys | ( |  | self ) |

QString uniqueName | ( |  | self ) |